com.informix.jdbcx

## Class InformixDataSource

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<java.lang.Object,java.lang.Object>
    - - java.util.Properties
      - - com.informix.util.AdvancedUppercaseProperties
        - - com.informix.jdbcx.AbstractDataSource
          - - com.informix.jdbcx.InformixDataSource

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.sql.Wrapper, java.util.Map<java.lang.Object,java.lang.Object>, javax.sql.CommonDataSource, javax.sql.DataSource

    public class InformixDataSource
    extends AbstractDataSource
    implements javax.sql.DataSource

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.informix.util.AdvancedUppercaseProperties

`FALSE, TRUE`

### Fields inherited from class java.util.Properties

`defaults`

### Constructor Summary

Constructors
Constructor and Description
`InformixDataSource()`

### Method Summary

### Methods inherited from class com.informix.jdbcx.AbstractDataSource

`getAutoCaseSchema, getAutoFreeCursors, getCertificateVerification, getCommitBeforeIsolationChange, getConnection, getConnection, getConnectionCleanerDelay, getCustomCodeSet, getCustomLocale, getCustomNLSMap, getDatabase, getDefaultCursorHoldability, getDelimident, getEmulateInformixServer, getEncrypt, getHost, getInvalidAutoCommitThrowError, getLobBufferSize, getLobCodesetConversionMemory, getLobReadonly, getLockTimeout, getLoginRetries, getLoginTimeout, getLogWriter, getMetadataReplicationColumn, getMetadataUppercaseValues, getOptimizeOpenFetchClose, getOverrideDatabaseProductName, getParentLogger, getPassword, getPort, getPreparedStatementCacheSize, getProcessTableNameInResultSets, getQueryBufferSize, getRemoveLobTempFilesOnRSClose, getSecondarySwitch, getServerName, getSessionVariables, getTransactionIsolationLevel, getTrustStore, getTrustStorePassword, getUppercaseMetaDataRSColumnNames, getUser, isWrapperFor, setAutoCaseSchema, setAutoFreeCursors, setCertificateVerfication, setCommitBeforeIsolationChange, setConnectionCleanerDelay, setCustomCodeSet, setCustomLocale, setCustomNLSMap, setDatabase, setDefaultCursorHoldability, setDelimident, setEmulateInformixServer, setEncrypt, setHost, setInvalidAutoCommitThrowError, setLobBufferSize, setLobCodesetConversionMemory, setLobReadonly, setLockTimeout, setLoginRetries, setLoginTimeout, setLogWriter, setMetadataReplicationColumn, setMetadataUppercaseValues, setOptimizeOpenFetchClose, setOverrideDatabaseProductName, setPassword, setPort, setPreparedStatementCacheSize, setProcessTableNameInResultSets, setQueryBufferSize, setRemoveLobTempFilesOnRSClose, setSecondarySwitch, setServerName, setSessionVariables, setTransactionIsolationLevel, setTrustStore, setTrustStorePassword, setUppercaseMetaDataRSColumnNames, setUser, unwrap`

### Methods inherited from class com.informix.util.AdvancedUppercaseProperties

`asBool, asBool, asBool, asDouble, asInt, asInt, asInt, asLong, asLong, asLong, asString, asString, containsKey, getProperty, getProperty, put, putAll, remove, setParent, setProperty`

### Methods inherited from class java.util.Properties

`list, list, load, load, loadFromXML, propertyNames, save, store, store, storeToXML, storeToXML, stringPropertyNames`

### Methods inherited from class java.util.Hashtable

`clear, clone, compute, computeIfAbsent, computeIfPresent, contains, containsValue, elements, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keys, keySet, merge, putIfAbsent, rehash, remove, replace, replace, replaceAll, size, toString, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface javax.sql.DataSource

`getConnection, getConnection`

### Methods inherited from interface javax.sql.CommonDataSource

`getLoginTimeout, getLogWriter, getParentLogger, setLoginTimeout, setLogWriter`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Constructor Detail

#### InformixDataSource

    public InformixDataSource()